summary refs log tree commit diff
path: root/maintainers/scripts/update-ruby-packages
diff options
context:
space:
mode:
authorMichael Fellinger <michael.fellinger@iohk.io>2019-05-18 17:45:38 +0000
committerAlyssa Ross <hi@alyssa.is>2019-09-03 19:44:49 +0000
commit1f49035aca52303abb2e09976baf36f297eb68a6 (patch)
tree32b26f3234324bc1789347857258e44e879da795 /maintainers/scripts/update-ruby-packages
parent92665777fd403eb62fe77d6d6f2196d61ce959de (diff)
downloadnixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar.gz
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar.bz2
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar.lz
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar.xz
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.tar.zst
nixpkgs-1f49035aca52303abb2e09976baf36f297eb68a6.zip
ruby.withPackages: init
Co-authored-by: Alyssa Ross <hi@alyssa.is>
Diffstat (limited to 'maintainers/scripts/update-ruby-packages')
-rwxr-xr-xmaintainers/scripts/update-ruby-packages13
1 files changed, 13 insertions, 0 deletions
diff --git a/maintainers/scripts/update-ruby-packages b/maintainers/scripts/update-ruby-packages
new file mode 100755
index 00000000000..fef6b75ded0
--- /dev/null
+++ b/maintainers/scripts/update-ruby-packages
@@ -0,0 +1,13 @@
+#!/usr/bin/env nix-shell
+#!nix-shell -i bash -p bundler bundix
+
+set -euf -o pipefail
+
+(
+  cd pkgs/development/ruby-modules/with-packages
+  rm -f gemset.nix Gemfile.lock
+  bundle lock
+  bundix
+  mv gemset.nix ../../../top-level/ruby-packages.nix
+  rm -f Gemfile.lock
+)